package com.bonus.common.biz.enums;

import lombok.Getter;

@Getter
public enum TmTaskTypeEnum {
    TM_TASK_DEV(1, "商城装备维护任务"),
    TM_TASK_ORDER(2, "商城订单任务"),
    TM_TASK_AGREEMENT_MANAGEMENT(10, "新增协议任务"),
    TM_TASK_ADD_DEVICE_TASK(17, "新增商城物资任务"),
    TM_TASK_ADD_REQUIREMENT_TASK(18, "新增商城需求任务"),
    TM_TASK_ADD_REPAIR_TASK(19, "新增商城退租检修任务"),
    TM_TASK_ADD_CONTRACT_TASK(20, "新增商城合同任务");

    private final Integer taskTypeId;
    private final String taskTypeName;

    TmTaskTypeEnum(Integer taskTypeId, String taskTypeName) {
        this.taskTypeId = taskTypeId;
        this.taskTypeName = taskTypeName;
    }
}
